/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package p4uclient;

import java.io.IOException;
import java.net.ServerSocket;
import java.net.Socket;

/**
 * タスク待ち受け
 * @author tondol
 */
public class TaskListener implements Runnable {
    private ServerSocket listen = null;
    private Thread  thread = null;
    
    public TaskListener() throws IOException {
        listen = new ServerSocket(MainApp.option.listen);
        thread = new Thread(this);
        thread.start();
    }
    
    public void run() {
        try {
            while (!listen.isClosed()) {
                Socket socket = listen.accept();
                TaskUpload task = new TaskUpload(socket);
                MainApp.tasks.addItem(task);
            }
        } catch(Exception e) {
        }
    }
    
    public void close() throws IOException {
        if (listen != null) listen.close();
        thread = null;
    }
}
